Index: doc/latex/classuibase__inherit__graph.eps
===================================================================
--- doc/latex/classuibase__inherit__graph.eps (revision 99)
+++ doc/latex/classuibase__inherit__graph.eps (revision 99)
@@ -0,0 +1,443 @@
+%!PS-Adobe-2.0
+%%Creator: Graphviz version 2.16 (Fri Feb  8 12:52:03 UTC 2008)
+%%For: (smidl) Vasek Smidl,,,
+%%Title: G
+%%Pages: (atend)
+%%BoundingBox: (atend)
+%%EndComments
+save
+%%BeginProlog
+/DotDict 200 dict def
+DotDict begin
+
+/setupLatin1 {
+mark
+/EncodingVector 256 array def
+ EncodingVector 0
+
+ISOLatin1Encoding 0 255 getinterval putinterval
+EncodingVector 45 /hyphen put
+
+% Set up ISO Latin 1 character encoding
+/starnetISO {
+        dup dup findfont dup length dict begin
+        { 1 index /FID ne { def }{ pop pop } ifelse
+        } forall
+        /Encoding EncodingVector def
+        currentdict end definefont
+} def
+/Times-Roman starnetISO def
+/Times-Italic starnetISO def
+/Times-Bold starnetISO def
+/Times-BoldItalic starnetISO def
+/Helvetica starnetISO def
+/Helvetica-Oblique starnetISO def
+/Helvetica-Bold starnetISO def
+/Helvetica-BoldOblique starnetISO def
+/Courier starnetISO def
+/Courier-Oblique starnetISO def
+/Courier-Bold starnetISO def
+/Courier-BoldOblique starnetISO def
+cleartomark
+} bind def
+
+%%BeginResource: procset graphviz 0 0
+/coord-font-family /Times-Roman def
+/default-font-family /Times-Roman def
+/coordfont coord-font-family findfont 8 scalefont def
+
+/InvScaleFactor 1.0 def
+/set_scale {
+       dup 1 exch div /InvScaleFactor exch def
+       scale
+} bind def
+
+% styles
+/solid { [] 0 setdash } bind def
+/dashed { [9 InvScaleFactor mul dup ] 0 setdash } bind def
+/dotted { [1 InvScaleFactor mul 6 InvScaleFactor mul] 0 setdash } bind def
+/invis {/fill {newpath} def /stroke {newpath} def /show {pop newpath} def} bind def
+/bold { 2 setlinewidth } bind def
+/filled { } bind def
+/unfilled { } bind def
+/rounded { } bind def
+/diagonals { } bind def
+
+% hooks for setting color 
+/nodecolor { sethsbcolor } bind def
+/edgecolor { sethsbcolor } bind def
+/graphcolor { sethsbcolor } bind def
+/nopcolor {pop pop pop} bind def
+
+/beginpage {	% i j npages
+	/npages exch def
+	/j exch def
+	/i exch def
+	/str 10 string def
+	npages 1 gt {
+		gsave
+			coordfont setfont
+			0 0 moveto
+			(\() show i str cvs show (,) show j str cvs show (\)) show
+		grestore
+	} if
+} bind def
+
+/set_font {
+	findfont exch
+	scalefont setfont
+} def
+
+% draw text fitted to its expected width
+/alignedtext {			% width text
+	/text exch def
+	/width exch def
+	gsave
+		width 0 gt {
+			[] 0 setdash
+			text stringwidth pop width exch sub text length div 0 text ashow
+		} if
+	grestore
+} def
+
+/boxprim {				% xcorner ycorner xsize ysize
+		4 2 roll
+		moveto
+		2 copy
+		exch 0 rlineto
+		0 exch rlineto
+		pop neg 0 rlineto
+		closepath
+} bind def
+
+/ellipse_path {
+	/ry exch def
+	/rx exch def
+	/y exch def
+	/x exch def
+	matrix currentmatrix
+	newpath
+	x y translate
+	rx ry scale
+	0 0 1 0 360 arc
+	setmatrix
+} bind def
+
+/endpage { showpage } bind def
+/showpage { } def
+
+/layercolorseq
+	[	% layer color sequence - darkest to lightest
+		[0 0 0]
+		[.2 .8 .8]
+		[.4 .8 .8]
+		[.6 .8 .8]
+		[.8 .8 .8]
+	]
+def
+
+/layerlen layercolorseq length def
+
+/setlayer {/maxlayer exch def /curlayer exch def
+	layercolorseq curlayer 1 sub layerlen mod get
+	aload pop sethsbcolor
+	/nodecolor {nopcolor} def
+	/edgecolor {nopcolor} def
+	/graphcolor {nopcolor} def
+} bind def
+
+/onlayer { curlayer ne {invis} if } def
+
+/onlayers {
+	/myupper exch def
+	/mylower exch def
+	curlayer mylower lt
+	curlayer myupper gt
+	or
+	{invis} if
+} def
+
+/curlayer 0 def
+
+%%EndResource
+%%EndProlog
+%%BeginSetup
+14 default-font-family set_font
+1 setmiterlimit
+% /arrowlength 10 def
+% /arrowwidth 5 def
+
+% make sure pdfmark is harmless for PS-interpreters other than Distiller
+/pdfmark where {pop} {userdict /pdfmark /cleartomark load put} ifelse
+% make '<<' and '>>' safe on PS Level 1 devices
+/languagelevel where {pop languagelevel}{1} ifelse
+2 lt {
+    userdict (<<) cvn ([) cvn load put
+    userdict (>>) cvn ([) cvn load put
+} if
+
+%%EndSetup
+setupLatin1
+%%Page: 1 1
+%%PageBoundingBox: 36 36 436 120
+%%PageOrientation: Portrait
+0 0 1 beginpage
+gsave
+36 36 400 84 boxprim clip newpath
+1 1 set_scale 0 rotate 40 40 translate
+% Node1
+gsave
+0.000 0.000 0.749 nodecolor
+newpath 175 56 moveto
+175 75 lineto
+220 75 lineto
+220 56 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 175 56 moveto
+175 75 lineto
+220 75 lineto
+220 56 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+182.75 61.25 moveto 28.5 (uibase) alignedtext
+grestore
+% Node2
+gsave
+[ /Rect [ 0 1 74 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classuimatrix.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+75 19 lineto
+75 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 0 0 moveto
+0 19 lineto
+75 19 lineto
+75 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+7.75 5.25 moveto 58.5 (uimatrix< T >) alignedtext
+grestore
+% Node1->Node2
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 165 55 moveto
+136 44 91 29 63 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 164.416 58.4788 moveto
+175 58 lineto
+166.427 51.7741 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 164.416 58.4788 moveto
+175 58 lineto
+166.427 51.7741 lineto
+closepath stroke
+grestore
+% Node3
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 92 0 moveto
+92 19 lineto
+143 19 lineto
+143 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.749 nodecolor
+newpath 92 0 moveto
+92 19 lineto
+143 19 lineto
+143 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+99.75 5.25 moveto 34.5 (uipmsm) alignedtext
+grestore
+% Node1->Node3
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 175 50 moveto
+160 40 142 27 130 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 172.9 52.8 moveto
+183 56 lineto
+177.1 47.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 172.9 52.8 moveto
+183 56 lineto
+177.1 47.2 lineto
+closepath stroke
+grestore
+% Node4
+gsave
+[ /Rect [ 160 1 234 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classuiscalar.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 160 0 moveto
+160 19 lineto
+234 19 lineto
+234 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 160 0 moveto
+160 19 lineto
+234 19 lineto
+234 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+168.125 5.25 moveto 57.75 (uiscalar< T >) alignedtext
+grestore
+% Node1->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 197 46 moveto
+197 37 197 26 197 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 193.5 46 moveto
+197 56 lineto
+200.5 46 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 193.5 46 moveto
+197 56 lineto
+200.5 46 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 252 1 300 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classuistring.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 252 0 moveto
+252 19 lineto
+300 19 lineto
+300 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 252 0 moveto
+252 19 lineto
+300 19 lineto
+300 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+260.25 5.25 moveto 31.5 (uistring) alignedtext
+grestore
+% Node1->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 219 50 moveto
+234 40 251 27 263 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 216.9 47.2 moveto
+211 56 lineto
+221.1 52.8 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 216.9 47.2 moveto
+211 56 lineto
+221.1 52.8 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 318 1 392 19 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classuivector.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 318 0 moveto
+318 19 lineto
+393 19 lineto
+393 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 318 0 moveto
+318 19 lineto
+393 19 lineto
+393 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+325.75 5.25 moveto 58.5 (uivector< T >) alignedtext
+grestore
+% Node1->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 229 54 moveto
+259 44 302 29 329 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 227.717 50.7402 moveto
+220 58 lineto
+230.56 57.1369 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 227.717 50.7402 moveto
+220 58 lineto
+230.56 57.1369 lineto
+closepath stroke
+grestore
+endpage
+showpage
+grestore
+%%PageTrailer
+%%EndPage: 1
+%%Trailer
+%%Pages: 1
+%%BoundingBox: 36 36 436 120
+end
+restore
+%%EOF
Index: doc/latex/classEKFCh__inherit__graph.md5
===================================================================
--- doc/latex/classEKFCh__inherit__graph.md5 (revision 99)
+++ doc/latex/classEKFCh__inherit__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+07480ec3044d986246f2da53c5a96625
Index: doc/latex/classdirfilelog__inherit__graph.md5
===================================================================
--- doc/latex/classdirfilelog__inherit__graph.md5 (revision 99)
+++ doc/latex/classdirfilelog__inherit__graph.md5 (revision 99)
@@ -0,0 +1,1 @@
+dd748414b4908d7df3aeb40a99791d71
Index: doc/latex/classepdf__inherit__graph.eps
===================================================================
--- doc/latex/classepdf__inherit__graph.eps (revision 91)
+++ doc/latex/classepdf__inherit__graph.eps (revision 99)
@@ -180,33 +180,33 @@
 setupLatin1
 %%Page: 1 1
-%%PageBoundingBox: 36 36 433 246
+%%PageBoundingBox: 36 36 475 246
 %%PageOrientation: Portrait
 0 0 1 beginpage
 gsave
-36 36 397 210 boxprim clip newpath
+36 36 439 210 boxprim clip newpath
 1 1 set_scale 0 rotate 40 40 translate
 % Node1
 gsave
 0.000 0.000 0.749 nodecolor
-newpath 187 182 moveto
-187 201 lineto
+newpath 222 182 moveto
 222 201 lineto
-222 182 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 187 182 moveto
-187 201 lineto
+257 201 lineto
+257 182 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 222 182 moveto
 222 201 lineto
-222 182 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-194.625 187.25 moveto 18.75 (epdf) alignedtext
+257 201 lineto
+257 182 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+229.625 187.25 moveto 18.75 (epdf) alignedtext
 grestore
 % Node2
 gsave
-[ /Rect [ 103 125 137 143 ]
+[ /Rect [ 138 125 172 143 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classeEF.html) >>
@@ -214,20 +214,20 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 103 124 moveto
-103 143 lineto
-137 143 lineto
-137 124 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 103 124 moveto
-103 143 lineto
-137 143 lineto
-137 124 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-111 129.25 moveto 18 (eEF) alignedtext
+newpath 138 124 moveto
+138 143 lineto
+172 143 lineto
+172 124 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 138 124 moveto
+138 143 lineto
+172 143 lineto
+172 124 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+146 129.25 moveto 18 (eEF) alignedtext
 grestore
 % Node1->Node2
@@ -236,23 +236,23 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 180 176 moveto
-165 166 146 152 133 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 178.738 179.365 moveto
-189 182 lineto
-182.621 173.541 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 178.738 179.365 moveto
-189 182 lineto
-182.621 173.541 lineto
-closepath stroke
-grestore
-% Node8
-gsave
-[ /Rect [ 155 125 197 143 ]
+newpath 215 176 moveto
+200 166 181 152 168 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 213.738 179.365 moveto
+224 182 lineto
+217.621 173.541 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 213.738 179.365 moveto
+224 182 lineto
+217.621 173.541 lineto
+closepath stroke
+grestore
+% Node9
+gsave
+[ /Rect [ 190 125 232 143 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classeEmp.html) >>
@@ -260,45 +260,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 155 124 moveto
-155 143 lineto
-197 143 lineto
-197 124 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 155 124 moveto
-155 143 lineto
-197 143 lineto
-197 124 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-163.25 129.25 moveto 25.5 (eEmp) alignedtext
-grestore
-% Node1->Node8
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 195 173 moveto
-190 163 184 151 180 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 191.74 174.283 moveto
-199 182 lineto
-198.137 171.44 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 191.74 174.283 moveto
-199 182 lineto
-198.137 171.44 lineto
-closepath stroke
-grestore
-% Node9
-gsave
-[ /Rect [ 215 125 249 143 ]
+newpath 190 124 moveto
+190 143 lineto
+232 143 lineto
+232 124 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 190 124 moveto
+190 143 lineto
+232 143 lineto
+232 124 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+198.25 129.25 moveto 25.5 (eEmp) alignedtext
+grestore
+% Node1->Node9
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 230 173 moveto
+225 163 219 151 215 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 226.74 174.283 moveto
+234 182 lineto
+233.137 171.44 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 226.74 174.283 moveto
+234 182 lineto
+233.137 171.44 lineto
+closepath stroke
+grestore
+% Node10
+gsave
+[ /Rect [ 250 125 284 143 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classeuni.html) >>
@@ -306,81 +306,81 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 215 124 moveto
-215 143 lineto
-249 143 lineto
-249 124 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 215 124 moveto
-215 143 lineto
-249 143 lineto
-249 124 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-223 129.25 moveto 18 (euni) alignedtext
-grestore
-% Node1->Node9
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 213 173 moveto
-218 163 224 151 228 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 209.863 171.44 moveto
-209 182 lineto
-216.26 174.283 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 209.863 171.44 moveto
-209 182 lineto
-216.26 174.283 lineto
-closepath stroke
-grestore
-% Node10
-gsave
-0.000 0.000 1.000 nodecolor
-newpath 267 124 moveto
-267 143 lineto
-390 143 lineto
-390 124 lineto
+newpath 250 124 moveto
+250 143 lineto
+284 143 lineto
+284 124 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 250 124 moveto
+250 143 lineto
+284 143 lineto
+284 124 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+258 129.25 moveto 18 (euni) alignedtext
+grestore
+% Node1->Node10
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 248 173 moveto
+253 163 259 151 263 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 244.863 171.44 moveto
+244 182 lineto
+251.26 174.283 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 244.863 171.44 moveto
+244 182 lineto
+251.26 174.283 lineto
+closepath stroke
+grestore
+% Node11
+gsave
+0.000 0.000 1.000 nodecolor
+newpath 302 124 moveto
+302 143 lineto
+425 143 lineto
+425 124 lineto
 closepath fill
 1 setlinewidth
 filled
 0.000 0.000 0.749 nodecolor
-newpath 267 124 moveto
-267 143 lineto
-390 143 lineto
-390 124 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-274.75 129.25 moveto 106.5 (MPF< BM_T >::mpfepdf) alignedtext
-grestore
-% Node1->Node10
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 231 180 moveto
-255 168 287 153 308 143 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 229.717 176.74 moveto
-222 184 lineto
-232.56 183.137 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 229.717 176.74 moveto
-222 184 lineto
-232.56 183.137 lineto
+newpath 302 124 moveto
+302 143 lineto
+425 143 lineto
+425 124 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+309.75 129.25 moveto 106.5 (MPF< BM_T >::mpfepdf) alignedtext
+grestore
+% Node1->Node11
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 266 180 moveto
+290 168 322 153 343 143 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 264.717 176.74 moveto
+257 184 lineto
+267.56 183.137 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 264.717 176.74 moveto
+257 184 lineto
+267.56 183.137 lineto
 closepath stroke
 grestore
@@ -415,24 +415,70 @@
 solid
 0.667 0.776 0.439 edgecolor
-newpath 94 121 moveto
-85 116 76 111 68 106 curveto
-58 99 47 91 39 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 92.4404 124.137 moveto
-103 125 lineto
-95.2834 117.74 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 92.4404 124.137 moveto
-103 125 lineto
-95.2834 117.74 lineto
+newpath 129 122 moveto
+104 111 69 95 47 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 127.44 125.137 moveto
+138 126 lineto
+130.283 118.74 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 127.44 125.137 moveto
+138 126 lineto
+130.283 118.74 lineto
 closepath stroke
 grestore
 % Node4
 gsave
-[ /Rect [ 163 67 245 85 ]
+[ /Rect [ 72 67 108 85 ]
+  /Border [ 0 0 0 ]
+  /Action << /Subtype /URI /URI ($classegiw.html) >>
+  /Subtype /Link
+/ANN pdfmark
+0.000 0.000 1.000 nodecolor
+newpath 72 66 moveto
+72 85 lineto
+108 85 lineto
+108 66 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 72 66 moveto
+72 85 lineto
+108 85 lineto
+108 66 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+80.25 71.25 moveto 19.5 (egiw) alignedtext
+grestore
+% Node2->Node4
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 136 118 moveto
+131 114 126 110 122 106 curveto
+115 99 106 91 100 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 133.9 120.8 moveto
+144 124 lineto
+138.1 115.2 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 133.9 120.8 moveto
+144 124 lineto
+138.1 115.2 lineto
+closepath stroke
+grestore
+% Node5
+gsave
+[ /Rect [ 217 67 299 85 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -440,45 +486,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 163 66 moveto
-163 85 lineto
-246 85 lineto
-246 66 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 163 66 moveto
-163 85 lineto
-246 85 lineto
-246 66 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-170.625 71.25 moveto 66.75 (enorm< sq_T >) alignedtext
-grestore
-% Node2->Node4
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 144 118 moveto
-159 108 178 94 191 85 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 141.379 115.541 moveto
-135 124 lineto
-145.262 121.365 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 141.379 115.541 moveto
-135 124 lineto
-145.262 121.365 lineto
-closepath stroke
-grestore
-% Node5
-gsave
-[ /Rect [ 55 1 139 19 ]
+newpath 217 66 moveto
+217 85 lineto
+300 85 lineto
+300 66 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 217 66 moveto
+217 85 lineto
+300 85 lineto
+300 66 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+224.625 71.25 moveto 66.75 (enorm< sq_T >) alignedtext
+grestore
+% Node2->Node5
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 181 119 moveto
+200 108 226 94 242 85 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 179.042 116.084 moveto
+172 124 lineto
+182.441 122.203 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 179.042 116.084 moveto
+172 124 lineto
+182.441 122.203 lineto
+closepath stroke
+grestore
+% Node6
+gsave
+[ /Rect [ 109 1 193 19 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -486,46 +532,45 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 55 0 moveto
-55 19 lineto
-140 19 lineto
-140 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 55 0 moveto
-55 19 lineto
-140 19 lineto
-140 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-62.5 5.25 moveto 69 (enorm< ldmat >) alignedtext
-grestore
-% Node2->Node5
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 109 115 moveto
-108 112 107 109 106 106 curveto
-98 75 97 36 97 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 106.084 116.958 moveto
-114 124 lineto
-112.203 113.559 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 106.084 116.958 moveto
-114 124 lineto
-112.203 113.559 lineto
-closepath stroke
-grestore
-% Node6
-gsave
-[ /Rect [ 289 1 377 19 ]
+newpath 109 0 moveto
+109 19 lineto
+194 19 lineto
+194 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 109 0 moveto
+109 19 lineto
+194 19 lineto
+194 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+116.5 5.25 moveto 69 (enorm< ldmat >) alignedtext
+grestore
+% Node2->Node6
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 155 114 moveto
+154 86 152 39 151 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 151.5 114 moveto
+155 124 lineto
+158.5 114 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 151.5 114 moveto
+155 124 lineto
+158.5 114 lineto
+closepath stroke
+grestore
+% Node7
+gsave
+[ /Rect [ 343 1 431 19 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -533,46 +578,46 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 289 0 moveto
-289 19 lineto
-377 19 lineto
-377 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 289 0 moveto
-289 19 lineto
-377 19 lineto
-377 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-297 5.25 moveto 72 (enorm< chmat >) alignedtext
-grestore
-% Node2->Node6
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 147 124 moveto
-231 96 275 115 325 48 curveto
-331 40 333 28 333 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 145.573 120.774 moveto
-137 127 lineto
-147.584 127.479 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 145.573 120.774 moveto
-137 127 lineto
-147.584 127.479 lineto
-closepath stroke
-grestore
-% Node7
-gsave
-[ /Rect [ 165 1 255 19 ]
+newpath 343 0 moveto
+343 19 lineto
+431 19 lineto
+431 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 343 0 moveto
+343 19 lineto
+431 19 lineto
+431 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+351 5.25 moveto 72 (enorm< chmat >) alignedtext
+grestore
+% Node2->Node7
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 182 124 moveto
+274 95 324 121 379 48 curveto
+385 40 387 28 387 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 180.573 120.774 moveto
+172 127 lineto
+182.584 127.479 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 180.573 120.774 moveto
+172 127 lineto
+182.584 127.479 lineto
+closepath stroke
+grestore
+% Node8
+gsave
+[ /Rect [ 219 1 309 19 ]
   /Border [ 0 0 0 ]
   /Action << /Subtype /URI /URI ($classenorm.html) >>
@@ -580,115 +625,115 @@
 /ANN pdfmark
 0.000 0.000 1.000 nodecolor
-newpath 165 0 moveto
-165 19 lineto
-256 19 lineto
-256 0 lineto
-closepath fill
-1 setlinewidth
-filled
-0.000 0.000 0.000 nodecolor
-newpath 165 0 moveto
-165 19 lineto
-256 19 lineto
-256 0 lineto
-closepath stroke
-0.000 0.000 0.000 nodecolor
-10.00 /FreeSans set_font
-172.5 5.25 moveto 75 (enorm< fsqmat >) alignedtext
-grestore
-% Node2->Node7
-gsave
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 119 114 moveto
-120 93 123 59 141 38 curveto
-148 29 159 23 169 19 curveto
-stroke
-0.667 0.776 0.439 edgecolor
-newpath 115.5 114 moveto
-119 124 lineto
-122.5 114 lineto
-closepath fill
-1 setlinewidth
-solid
-0.667 0.776 0.439 edgecolor
-newpath 115.5 114 moveto
-119 124 lineto
-122.5 114 lineto
-closepath stroke
-grestore
-% Node4->Node5
+newpath 219 0 moveto
+219 19 lineto
+310 19 lineto
+310 0 lineto
+closepath fill
+1 setlinewidth
+filled
+0.000 0.000 0.000 nodecolor
+newpath 219 0 moveto
+219 19 lineto
+310 19 lineto
+310 0 lineto
+closepath stroke
+0.000 0.000 0.000 nodecolor
+10.00 /FreeSans set_font
+226.5 5.25 moveto 75 (enorm< fsqmat >) alignedtext
+grestore
+% Node2->Node8
+gsave
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 159 114 moveto
+163 92 174 59 195 38 curveto
+204 29 215 23 226 19 curveto
+stroke
+0.667 0.776 0.439 edgecolor
+newpath 155.529 113.508 moveto
+157 124 lineto
+162.393 114.881 lineto
+closepath fill
+1 setlinewidth
+solid
+0.667 0.776 0.439 edgecolor
+newpath 155.529 113.508 moveto
+157 124 lineto
+162.393 114.881 lineto
+closepath stroke
+grestore
+% Node5->Node6
 gsave
 1 setlinewidth
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 179 61 moveto
-158 48 129 30 112 19 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 177.559 64.2031 moveto
-188 66 lineto
-180.958 58.084 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 177.559 64.2031 moveto
-188 66 lineto
-180.958 58.084 lineto
+newpath 233 61 moveto
+212 48 183 30 166 19 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 231.559 64.2031 moveto
+242 66 lineto
+234.958 58.084 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 231.559 64.2031 moveto
+242 66 lineto
+234.958 58.084 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10.00 /FreeSans set_font
-161 39.25 moveto 42 (< ldmat >) alignedtext
-grestore
-% Node4->Node6
+215 39.25 moveto 42 (< ldmat >) alignedtext
+grestore
+% Node5->Node7
 gsave
 1 setlinewidth
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 233 62 moveto
-242 57 251 52 261 48 curveto
-280 38 301 27 316 19 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 231.717 58.7402 moveto
-224 66 lineto
-234.56 65.1369 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 231.717 58.7402 moveto
-224 66 lineto
-234.56 65.1369 lineto
+newpath 287 62 moveto
+296 57 306 52 315 48 curveto
+334 38 355 27 370 19 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 285.717 58.7402 moveto
+278 66 lineto
+288.56 65.1369 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 285.717 58.7402 moveto
+278 66 lineto
+288.56 65.1369 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10.00 /FreeSans set_font
-275.5 39.25 moveto 45 (< chmat >) alignedtext
-grestore
-% Node4->Node7
+329.5 39.25 moveto 45 (< chmat >) alignedtext
+grestore
+% Node5->Node8
 gsave
 1 setlinewidth
 dashed
 0.106 1.000 1.000 edgecolor
-newpath 206 56 moveto
-207 44 208 29 209 19 curveto
-stroke
-0.106 1.000 1.000 edgecolor
-newpath 202.512 55.7013 moveto
-205 66 lineto
-209.478 56.3979 lineto
-closepath fill
-1 setlinewidth
-solid
-0.106 1.000 1.000 edgecolor
-newpath 202.512 55.7013 moveto
-205 66 lineto
-209.478 56.3979 lineto
+newpath 260 56 moveto
+261 44 262 29 263 19 curveto
+stroke
+0.106 1.000 1.000 edgecolor
+newpath 256.512 55.7013 moveto
+259 66 lineto
+263.478 56.3979 lineto
+closepath fill
+1 setlinewidth
+solid
+0.106 1.000 1.000 edgecolor
+newpath 256.512 55.7013 moveto
+259 66 lineto
+263.478 56.3979 lineto
 closepath stroke
 0.000 0.000 0.000 edgecolor
 10.00 /FreeSans set_font
-209 39.25 moveto 48 (< fsqmat >) alignedtext
+263 39.25 moveto 48 (< fsqmat >) alignedtext
 grestore
 endpage
@@ -699,5 +744,5 @@
 %%Trailer
 %%Pages: 1
-%%BoundingBox: 36 36 433 246
+%%BoundingBox: 36 36 475 246
 end
 restore
Index: doc/latex/stat_2arx_8h__incl.md5
===================================================================
--- doc/latex/stat_2arx_8h__incl.md5 (revision 99)
+++ doc/latex/stat_2arx_8h__incl.md5 (revision 99)
@@ -0,0 +1,1 @@
+e620b7e5e7585db2bd1e811c84612405
